
/* ショップ評価の星マークラジオボタン  */
[id^="search_ep_score_totalEpScoreLv"] + label{
    position: relative;
    width:95px !important;
}
[id^="search_ep_score_totalEpScoreLv"] + label span{
    visibility: hidden;
    font-weight: normal;
}
[id^="search_ep_score_totalEpScoreLv"] + label::after,
[id^="search_ep_score_totalEpScoreLv"] + label::before{
    position: absolute;
    content:'★★★★★';
    display: flex;
    align-items: center;
    width:95px;
    height: 100%;
    font-size: 14px;
    line-height: 1.4;
    padding-left:0.75rem;
    top: 0;
    left: 0;
    opacity: 0.15;
    z-index: 10;
}
[id^="search_ep_score_totalEpScoreLv"]:not(:checked) + label:hover::before{
    color: hsl(var(--foreground));
}
[id^="search_ep_score_totalEpScoreLv"]:checked + label::before{
    opacity: 0.3;
}
[id^="search_ep_score_totalEpScoreLv"] + label::after{
    color:#fcb400;
    overflow: hidden;
    opacity: 1;
    z-index: 20;
}
#search_ep_score_totalEpScoreLv1 + label::after{
    width: 6em;
}
#search_ep_score_totalEpScoreLv2 + label::after{
    width: 5.4em;
}
#search_ep_score_totalEpScoreLv3 + label::after{
    width: 5em;
}
#search_ep_score_totalEpScoreLv4 + label::after{
    width: 4.4em;
}
[id^="search_ep_score_totalEpScoreLv"]:checked + label::after{
    color:#fecb48
}

/* 認証工場などのチェックボックス */
.search_checkbox + label::before{
    position: absolute;
    content:'';
    display: inline-block;
    width: 8px;
    height: 4px;
    line-height: 1;
    border-left: 3px solid #0002;
    border-bottom: 3px solid #0002;
    transform: rotate(-45deg);
    top: 0.5rem;
    left:0.45rem;
    opacity: 1;
    z-index: 10;
}
.search_checkbox + label:hover::before{
    border-color: #81b730;
}
.search_checkbox:checked + label::before{
    border-color: #81b730;
}
.search_checkbox:checked + label:hover::before{
    border-color: #0002;
}
.search_checkbox:checked + label::after{
    position: absolute;
    content:'';
    display: inline-block;
    width: 16px;
    height: 16px;
    line-height: 1;
    background: hsl(var(--muted));
    border-radius: 50%;
    top: 0.25rem;
    left:0.3rem;
    opacity: 1;
    z-index: 5;
}

/* SweetAlert2 */
.swal2-loading{
    flex-direction: column;
}
.swal2-loading .swal2-loader{
    margin: 2rem 1rem;
}
.swal2-loading .swal2-cancel{
    margin: 2rem 0 1rem;
}